Index: pacemaker/pengine/test10/clone-anon-failcount.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-anon-failcount.exp
+++ pacemaker/pengine/test10/clone-anon-failcount.exp
@@ -74,7 +74,7 @@
     <action_set>
       <rsc_op id="34" operation="start" operation_key="UmVIPcheck_start_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmVIPcheck" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_start_delay="2000" CRM_meta_timeout="90000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_start_delay="2000" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -90,7 +90,7 @@
     <action_set>
       <rsc_op id="33" operation="stop" operation_key="UmVIPcheck_stop_0" on_node="srv01" on_node_uuid="srv01">
         <primitive id="UmVIPcheck" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="srv01" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -106,7 +106,7 @@
     <action_set>
       <rsc_op id="37" operation="monitor" operation_key="UmIPaddr_monitor_10000" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmIPaddr" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -119,7 +119,7 @@
     <action_set>
       <rsc_op id="36" operation="start" operation_key="UmIPaddr_start_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmIPaddr" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_requires="fencing" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_requires="fencing" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -138,7 +138,7 @@
     <action_set>
       <rsc_op id="35" operation="stop" operation_key="UmIPaddr_stop_0" on_node="srv01" on_node_uuid="srv01">
         <primitive id="UmIPaddr" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="srv01" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -154,7 +154,7 @@
     <action_set>
       <rsc_op id="40" operation="monitor" operation_key="UmDummy01_monitor_10000" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmDummy01" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="ignore" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="ignore" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -167,7 +167,7 @@
     <action_set>
       <rsc_op id="39" operation="start" operation_key="UmDummy01_start_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmDummy01" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_requires="fencing" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_requires="fencing" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -186,7 +186,7 @@
     <action_set>
       <rsc_op id="38" operation="stop" operation_key="UmDummy01_stop_0" on_node="srv01" on_node_uuid="srv01">
         <primitive id="UmDummy01" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="stop" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="stop" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="srv01" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -202,7 +202,7 @@
     <action_set>
       <rsc_op id="43" operation="monitor" operation_key="UmDummy02_monitor_10000" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmDummy02" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="standby" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="standby" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -215,7 +215,7 @@
     <action_set>
       <rsc_op id="42" operation="start" operation_key="UmDummy02_start_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmDummy02" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="standby" CRM_meta_requires="fencing" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="standby" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_requires="fencing" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -234,7 +234,7 @@
     <action_set>
       <rsc_op id="41" operation="stop" operation_key="UmDummy02_stop_0" on_node="srv01" on_node_uuid="srv01">
         <primitive id="UmDummy02" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="srv01" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -310,7 +310,7 @@
     <action_set>
       <rsc_op id="90" operation="start" operation_key="clnUMdummy01:1_start_0" internal_operation_key="clnUMdummy01:0_start_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="clnUMdummy01" long-id="clnUMdummy01:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -326,7 +326,7 @@
     <action_set>
       <rsc_op id="15" operation="stop" operation_key="clnUMdummy01:1_stop_0" internal_operation_key="clnUMdummy01:0_stop_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="clnUMdummy01" long-id="clnUMdummy01:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -342,7 +342,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="clnUMdummy01:1_monitor_10000" internal_operation_key="clnUMdummy01:0_monitor_10000" on_node="srv04" on_node_uuid="srv04">
         <primitive id="clnUMdummy01" long-id="clnUMdummy01:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -355,7 +355,7 @@
     <action_set>
       <rsc_op id="92" operation="start" operation_key="clnUMdummy02:1_start_0" internal_operation_key="clnUMdummy02:0_start_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="clnUMdummy02" long-id="clnUMdummy02:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -374,7 +374,7 @@
     <action_set>
       <rsc_op id="91" operation="stop" operation_key="clnUMdummy02:1_stop_0" internal_operation_key="clnUMdummy02:0_stop_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="clnUMdummy02" long-id="clnUMdummy02:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -387,7 +387,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="clnUMdummy02:1_monitor_10000" internal_operation_key="clnUMdummy02:0_monitor_10000" on_node="srv04" on_node_uuid="srv04">
         <primitive id="clnUMdummy02" long-id="clnUMdummy02:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="srv04" CRM_meta_on_node_uuid="srv04" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -430,7 +430,7 @@
     <action_set>
       <rsc_op id="97" operation="stop" operation_key="clnUMdummy01:0_stop_0" internal_operation_key="clnUMdummy01:1_stop_0" on_node="srv01" on_node_uuid="srv01">
         <primitive id="clnUMdummy01" long-id="clnUMdummy01:0" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="srv01" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -446,7 +446,7 @@
     <action_set>
       <rsc_op id="98" operation="stop" operation_key="clnUMdummy02:0_stop_0" internal_operation_key="clnUMdummy02:1_stop_0" on_node="srv01" on_node_uuid="srv01">
         <primitive id="clnUMdummy02" long-id="clnUMdummy02:0" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="srv01" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/clone-anon-probe-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-anon-probe-1.exp
+++ pacemaker/pengine/test10/clone-anon-probe-1.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="4" operation="start" operation_key="drbd0:0_start_0" on_node="mysql-01" on_node_uuid="3f3eb909-e719-4bc4-a700-d7aa91a65098">
         <primitive id="drbd0" long-id="drbd0:0" class="ocf" provider="heartbeat" type="drbd"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  drbd_resource="r0"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="mysql-01" CRM_meta_on_node_uuid="3f3eb909-e719-4bc4-a700-d7aa91a65098" CRM_meta_timeout="20000"  drbd_resource="r0"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="drbd0:0_monitor_0" on_node="mysql-01" on_node_uuid="3f3eb909-e719-4bc4-a700-d7aa91a65098">
         <primitive id="drbd0" long-id="drbd0:0" class="ocf" provider="heartbeat" type="drbd"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  drbd_resource="r0"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="mysql-01" CRM_meta_on_node_uuid="3f3eb909-e719-4bc4-a700-d7aa91a65098" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  drbd_resource="r0"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -25,7 +25,7 @@
      <action_set>
       <rsc_op id="5" operation="start" operation_key="drbd0:1_start_0" on_node="mysql-02" on_node_uuid="06f7483d-273b-4c51-95a6-bccde94d7fdb">
         <primitive id="drbd0" long-id="drbd0:1" class="ocf" provider="heartbeat" type="drbd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  drbd_resource="r0"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="mysql-02" CRM_meta_on_node_uuid="06f7483d-273b-4c51-95a6-bccde94d7fdb" CRM_meta_timeout="20000"  drbd_resource="r0"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -38,7 +38,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="drbd0:1_monitor_0" on_node="mysql-02" on_node_uuid="06f7483d-273b-4c51-95a6-bccde94d7fdb">
         <primitive id="drbd0" long-id="drbd0:1" class="ocf" provider="heartbeat" type="drbd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  drbd_resource="r0"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="mysql-02" CRM_meta_on_node_uuid="06f7483d-273b-4c51-95a6-bccde94d7fdb" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  drbd_resource="r0"/>
       </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/clone-anon-probe-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-anon-probe-2.exp
+++ pacemaker/pengine/test10/clone-anon-probe-2.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="4" operation="start" operation_key="drbd0:1_start_0" on_node="mysql-01" on_node_uuid="3f3eb909-e719-4bc4-a700-d7aa91a65098">
         <primitive id="drbd0" long-id="drbd0:1" class="ocf" provider="heartbeat" type="drbd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  drbd_resource="r0"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="mysql-01" CRM_meta_on_node_uuid="3f3eb909-e719-4bc4-a700-d7aa91a65098" CRM_meta_timeout="20000"  drbd_resource="r0"/>
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/clone-colocate-instance-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-colocate-instance-1.exp
+++ pacemaker/pengine/test10/clone-colocate-instance-1.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="dummy1_start_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="dummy1_monitor_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="dummy1_monitor_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -37,7 +37,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="dummy2_start_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="dummy2_monitor_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -62,7 +62,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="dummy2_monitor_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -71,7 +71,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="dummy:0_start_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy" long-id="dummy:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="dummy:0_monitor_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy" long-id="dummy:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -93,7 +93,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="dummy:1_start_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy" long-id="dummy:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -106,7 +106,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="dummy:1_monitor_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy" long-id="dummy:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/clone-colocate-instance-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-colocate-instance-2.exp
+++ pacemaker/pengine/test10/clone-colocate-instance-2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="dummy1_start_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="dummy1_monitor_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="dummy1_monitor_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -37,7 +37,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="dummy2_start_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="dummy2_monitor_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -62,7 +62,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="dummy2_monitor_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -71,7 +71,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="dummy:0_start_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy" long-id="dummy:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="dummy:0_monitor_0" on_node="alice.demo" on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131">
         <primitive id="dummy" long-id="dummy:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="alice.demo" CRM_meta_on_node_uuid="df0d4306-9cf3-4c5c-a23a-027ac36da131" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -93,7 +93,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="dummy:1_start_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy" long-id="dummy:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -106,7 +106,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="dummy:1_monitor_0" on_node="bob.demo" on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de">
         <primitive id="dummy" long-id="dummy:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="bob.demo" CRM_meta_on_node_uuid="0af1add7-22b5-4342-9816-67e6351605de" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
